variables:
  STORAGE_DRIVER: vfs
  BUILDAH_LAYERS: "false"
  BUILDAH_FORMAT: docker

stages:
  - build
  - test
  - release

include:
  - template: Container-Scanning.gitlab-ci.yml

build_image:
  image: quay.io/buildah/stable:latest
  stage: build
  script:
  - CI_IMAGE_REF="$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG"
  - SCANNING_IMAGE_NAME="$CI_REGISTRY_IMAGE/$CI_COMMIT_REF_SLUG:$CI_COMMIT_SHA"
  - cd stm32-buildimg
  - buildah login -u gitlab-ci-token -p "$CI_BUILD_TOKEN" "$CI_REGISTRY"
  - buildah bud -t "$SCANNING_IMAGE_NAME"
  - buildah tag "$SCANNING_IMAGE_NAME" "$CI_IMAGE_REF" 
  - buildah push "$SCANNING_IMAGE_NAME"
  - buildah push "$CI_IMAGE_REF"

release_image:
  image: quay.io/buildah/stable:latest
  stage: release
  script:
  - CORRESPONDING_IMAGE="$CI_REGISTRY_IMAGE/master:$CI_COMMIT_SHA"
  - buildah login -u gitlab-ci-token -p "$CI_BUILD_TOKEN" "$CI_REGISTRY"
  - buildah pull "$CORRESPONDING_IMAGE"
  - buildah tag "$CORRESPONDING_IMAGE" "$CI_REGISTRY_IMAGE:latest"
  - buildah push "$CI_REGISTRY_IMAGE:latest"
  only:
    - release

    
